REM Script di replica su altri rami di un branch git
REM l'argomento è il replication level:
REM 0 = solo locale
REM 1 = locale + ramo current remoto
REM 2 = .. + develop/master remoto
REM 3 = .. + stable (install) remoto
REM 4 = locale + full remoto

ECHO off
set baseBranch=%1
set pushRemote=%2

git push . %baseBranch%:develop
git push . %baseBranch%:master
git push . %baseBranch%:SDK
git push . %baseBranch%:report
git push . %baseBranch%:stable

REM Faccio push remoto condizionale
if %pushRemote% GTR 0 ( git push gitlab.steamware %baseBranch%:%baseBranch% )
if %pushRemote% GTR 0 ( git push gitlab.steamware %baseBranch%:develop )
if %pushRemote% GTR 1 ( git push gitlab.steamware %baseBranch%:SDK )
if %pushRemote% GTR 1 ( git push gitlab.steamware %baseBranch%:master )
if %pushRemote% GTR 2 ( git push gitlab.steamware %baseBranch%:stable )
if %pushRemote% GTR 2 ( git push gitlab.steamware %baseBranch%:report )

ECHO on